<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Bootstrap</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style>
        html,
        body {
            height: 100%;
            width: 100%;
        }

        #header,
        #content,
        #menu,
        #footer {
            border: 1px solid black;
        }

        #header {
            height: 150px;
        }

        #footer {
            height: 75px;
        }

        #content,
        #menu {
            height: 100%;
        }
    </style>

</head>

<body>

    <div id="container" class="container h-100 flex-column d-flex">

        <h1>Hello, world!</h1>

        <div class="row">
            <div class="col">
                <div id="header">Header</div>
            </div>
        </div>

        <div class="row flex-grow-1">
            <div class="col-md-8">
                <div id="content">Content</div>
            </div>
            <div class="col-md-4">
                <div id="menu">Menu</div>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div id="footer">Footer</div>
            </div>
        </div>

    </div>
</body>

</html>